// blinker_demo.c
#include <propeller.h>
#include "blinker.h"

HUBDATA blinker_st gblinker[7] =
{
    { 16, 50,  150, 0 },
    { 17, 75,  200, 0 },
    { 18, 150, 150, 0 },
    { 19, 100, 200, 0 },
    { 20, 50,  75,  0 },
    { 21, 100, 50,  0 },
    { 22, 50,  50,  0 }
};

int main(void)
{
    int n;
    for(n = 0; n < 7; n++) {
        gblinker[n].onticks *= CLKFREQ/1000;
        gblinker[n].offticks *= CLKFREQ/1000;
        blinker_start(&gblinker[n]);
    }
    while(1);
    return 0;
}
